# gcu::LoaderStruct Struct Reference

`#include <gcu/loader.h>`

List of all members.

## Public Attributes

Loader * | loader
bool | read
bool | write
bool | supports2D
bool | supports3D
bool | supportsCrystals
bool | supportsSpectra

## Detailed Description

Stores data for loaders. They are created when Loader::Init is called for the first time. Using Loader::GetFirstLoader and Loader::GetNextLoader is the way used to access the list of available loaders and what they provide.

Definition at line 46 of file loader.h.

## Member Data Documentation

Loader* gcu::LoaderStruct::loader

The loader instance associated to a mime type. Might be NULL if not in use.

Definition at line 50 of file loader.h.

bool gcu::LoaderStruct::read

If true, the loader can read files of the mime type.

Definition at line 54 of file loader.h.

bool gcu::LoaderStruct::write

If true, the loader can write files of the mime type.

Definition at line 58 of file loader.h.

bool gcu::LoaderStruct::supports2D

If true, the mime type is able to store 2D chemical structures.

Definition at line 62 of file loader.h.

bool gcu::LoaderStruct::supports3D

If true, the mime type is able to store 3D chemical structures.

Definition at line 66 of file loader.h.

bool gcu::LoaderStruct::supportsCrystals

If true, the mime type is able to store crystal structures.

Definition at line 70 of file loader.h.

bool gcu::LoaderStruct::supportsSpectra

If true, the mime type is able to store spectral data.

Definition at line 74 of file loader.h.

The documentation for this struct was generated from the following file:

- loader.h